Skip to main content
POST
/
quickbooks-desktop
/
deposits
/
{id}
/
void
JavaScript
import Conductor from 'conductor-node';

const conductor = new Conductor({
  apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});

const response = await conductor.qbd.deposits.void('123ABC-1234567890', {
  conductorEndUserId: 'end_usr_1234567abcdefg',
});

console.log(response.id);
{
  "id": "123ABC-1234567890",
  "objectType": "qbd_deposit",
  "createdAt": "2025-01-01T12:34:56.000Z",
  "updatedAt": "2025-02-01T12:34:56.000Z",
  "voided": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.conductor.is/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Path Parameters

id
string
required

The QuickBooks-assigned unique identifier of the deposit to void.

Example:

"123ABC-1234567890"

Response

200 - application/json

Returns a confirmation of the void with the ID of the voided deposit.

id
string
required

The QuickBooks-assigned unique identifier of the voided deposit.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_deposit".

Allowed value: "qbd_deposit"
Example:

"qbd_deposit"

createdAt
string | null
required

The date and time when this deposit was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-01-01T12:34:56.000Z"

updatedAt
string | null
required

The date and time when this deposit was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-02-01T12:34:56.000Z"

voided
boolean
required

Indicates whether the deposit was voided.

Example:

true